Bug 1089343 - mod_security-2.6.8-5.el5.x86_64 won't work
Summary: mod_security-2.6.8-5.el5.x86_64 won't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mod_security
Version: el5
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Othman Madjoudj
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-18 13:34 UTC by Dusan Ivanco
Modified: 2014-04-26 20:11 UTC (History)
1 user (show)

Fixed In Version: mod_security-2.6.8-6.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-26 20:11:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Dusan Ivanco 2014-04-18 13:34:21 UTC
Description of problem: httpd start error


Version-Release number of selected component (if applicable): mod_security-2.6.8-5.el5.x86_64


How reproducible: yum update && /etc/init.d/httpd restart


Actual results:
Syntax error on line 210 of /etc/httpd/conf/httpd.conf: Syntax error on line 2 of /etc/httpd/conf.d/mod_security.conf:
Cannot load /etc/httpd/modules/mod_security2.so into server: /etc/httpd/modules/mod_security2.so: undefined symbol: m_strcasestr


Expected results:
httpd start [ok] :-)

Comment 1 Othman Madjoudj 2014-04-18 15:01:49 UTC
Sorry about that, I didn't have a EL5 box to test the patch thoroughly, I'll try to fix this issue today 2014-04-18 (utc+1)

Comment 2 Fedora Update System 2014-04-18 16:17:48 UTC
mod_security-2.6.8-6.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mod_security-2.6.8-6.el5

Comment 3 Fedora Update System 2014-04-19 09:17:58 UTC
Package mod_security-2.6.8-6.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mod_security-2.6.8-6.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1162/mod_security-2.6.8-6.el5
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-04-26 20:11:56 UTC
mod_security-2.6.8-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.